Bug 277602 - ktorrent startup crashing
Summary: ktorrent startup crashing
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 07:41 UTC by George R. Goffe
Modified: 2011-07-13 08:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George R. Goffe 2011-07-12 07:41:51 UTC
Application: ktorrent (4.1.1)
KDE Platform Version: 4.6.4 (4.6.4)
Qt Version: 4.7.3
Operating System: Linux 2.6.35.13-92.fc14.i686 i686
Distribution: "Fedora release 14 (Laughlin)"

-- Information about the crash:
ktorrent dev running VERY SLOW for downloads so I re-installed ktorrent and libktorrent.

this crash has appeared and seems to be persistent.

The crash can be reproduced every time.

-- Backtrace:
Application: KTorrent (ktorrent), signal: Segmentation fault
[KCrash Handler]
#7  detach (this=0x0, key=...) at /usr/include/QtCore/qlist.h:126
#8  begin (this=0x0, key=...) at /usr/include/QtCore/qlist.h:254
#9  bt::BDictNode::getData (this=0x0, key=...) at /usr/src/debug/libktorrent-1.1.1/src/bcodec/bnode.cpp:95
#10 0x00e82785 in bt::BDictNode::getValue (this=0x0, key=...) at /usr/src/debug/libktorrent-1.1.1/src/bcodec/bnode.cpp:133
#11 0x00e82bfd in bt::BDictNode::getInt (this=0x0, key=...) at /usr/src/debug/libktorrent-1.1.1/src/bcodec/bnode.cpp:139
#12 0x00da859c in kt::ShutdownRuleSet::load (this=0xcb39680, file=...) at /usr/src/debug/ktorrent-4.1.1/plugins/shutdown/shutdownruleset.cpp:197
#13 0x00dae028 in kt::ShutdownPlugin::load (this=0xcb39a10) at /usr/src/debug/ktorrent-4.1.1/plugins/shutdown/shutdownplugin.cpp:80
#14 0x05e75eef in kt::PluginManager::load (this=0x9096da8, pi=..., idx=4) at /usr/src/debug/ktorrent-4.1.1/libktcore/plugin/pluginmanager.cpp:124
#15 0x05e76426 in kt::PluginManager::loadPlugins (this=0x9096da8) at /usr/src/debug/ktorrent-4.1.1/libktcore/plugin/pluginmanager.cpp:88
#16 0x05e7675f in kt::PluginManager::loadPluginList (this=0x9096da8) at /usr/src/debug/ktorrent-4.1.1/libktcore/plugin/pluginmanager.cpp:69
#17 0x08078028 in kt::GUI::GUI (this=0x906cda0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/ktorrent-4.1.1/ktorrent/gui.cpp:123
#18 0x0807988a in kt::App::newInstance (this=0xbfe0eaf0) at /usr/src/debug/ktorrent-4.1.1/ktorrent/app.cpp:60
#19 0x03565f55 in KUniqueApplicationAdaptor::newInstance (this=0x905c478, asn_id=..., args=...) at /usr/src/debug/kdelibs-4.6.4/kdeui/kernel/kuniqueapplication.cpp:436
#20 0x03566013 in KUniqueApplicationAdaptor::qt_metacall (this=0x905c478, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfe0e0ac) at /usr/src/debug/kdelibs-4.6.4/i686-redhat-linux-gnu/kdeui/kuniqueapplication_p.moc:81
#21 0x03c74f35 in QDBusConnectionPrivate::deliverCall (this=0x8fe4a88, object=0x905c478, msg=..., metaTypes=..., slotIdx=4) at qdbusintegrator.cpp:941
#22 0x03c76097 in QDBusConnectionPrivate::activateCall (this=0x8fe4a88, object=0x905c478, flags=337, msg=...) at qdbusintegrator.cpp:844
#23 0x03c766b0 in QDBusConnectionPrivate::activateObject (this=0x8fe4a88, node=..., msg=..., pathStartPos=16) at qdbusintegrator.cpp:1429
#24 0x03c76b3b in QDBusActivateObjectEvent::placeMetaCall (this=0x9047818) at qdbusintegrator.cpp:1523
#25 0x044d07cf in QObject::event (this=0xbfe0eaf0, e=0x9047818) at kernel/qobject.cpp:1217
#26 0x044bb56c in QCoreApplication::event (this=0xbfe0eaf0, e=0x9047818) at kernel/qcoreapplication.cpp:1560
#27 0x413dfba0 in QApplication::event (this=0xbfe0eaf0, e=0x9047818) at kernel/qapplication.cpp:2503
#28 0x413dd58c in QApplicationPrivate::notify_helper (this=0x8ff4d68, receiver=0xbfe0eaf0, e=0x9047818) at kernel/qapplication.cpp:4462
#29 0x413e2292 in QApplication::notify (this=0xbfe0eaf0, receiver=0xbfe0eaf0, e=0x9047818) at kernel/qapplication.cpp:3862
#30 0x080799a8 in kt::App::notify (this=0xbfe0eaf0, receiver=0xbfe0eaf0, event=0x9047818) at /usr/src/debug/ktorrent-4.1.1/ktorrent/app.cpp:99
#31 0x044baf63 in QCoreApplication::notifyInternal (this=0xbfe0eaf0, receiver=0xbfe0eaf0, event=0x9047818) at kernel/qcoreapplication.cpp:731
#32 0x044becb5 in sendEvent (receiver=0x0, event_type=0, data=0x8fb4d20) at kernel/qcoreapplication.h:215
#33 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8fb4d20) at kernel/qcoreapplication.cpp:1372
#34 0x044bee8e in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#35 0x044e8b35 in sendPostedEvents (s=0x8ff4c70) at kernel/qcoreapplication.h:220
#36 postEventSourceDispatch (s=0x8ff4c70) at kernel/qeventdispatcher_glib.cpp:277
#37 0x0079a192 in g_main_dispatch (context=0x8ff4f50) at gmain.c:2149
#38 g_main_context_dispatch (context=0x8ff4f50) at gmain.c:2702
#39 0x0079a978 in g_main_context_iterate (context=0x8ff4f50, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#40 0x0079ac35 in g_main_context_iteration (context=0x8ff4f50, may_block=1) at gmain.c:2843
#41 0x044e8cad in QEventDispatcherGlib::processEvents (this=0x8fb48a0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#42 0x41491206 in QGuiEventDispatcherGlib::processEvents (this=0x8fb48a0, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#43 0x044ba0fa in QEventLoop::processEvents (this=0xbfe0ea64, flags=...) at kernel/qeventloop.cpp:149
#44 0x044ba3aa in QEventLoop::exec (this=0xbfe0ea64, flags=...) at kernel/qeventloop.cpp:201
#45 0x044bef57 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#46 0x413db398 in QApplication::exec () at kernel/qapplication.cpp:3736
#47 0x0806926a in main (argc=1769235265, argv=0x54006e6f) at /usr/src/debug/ktorrent-4.1.1/ktorrent/main.cpp:177

Reported using DrKonqi
Comment 1 Joris Guisson 2011-07-13 08:37:57 UTC
Remove ~/.kde/share/apps/ktorrent/shutdown_rules

And it should start up normally again
Comment 2 Joris Guisson 2011-07-13 08:40:10 UTC
Git commit a10e69023d27e3b7b59ebb47312539bdd5482f9a by Joris Guisson.
Committed on 13/07/2011 at 10:39.
Pushed by guisson into branch 'master'.

Fix crash when shutdown_rules files becomes corrupted

BUG: 277602

M  +1    -0    ChangeLog     
M  +3    -0    plugins/shutdown/shutdownruleset.cpp     

http://commits.kde.org/ktorrent/a10e69023d27e3b7b59ebb47312539bdd5482f9a
Comment 3 Joris Guisson 2011-07-13 08:42:33 UTC
Git commit ad6cb38098845e668a213953a553cfdff5c6ee08 by Joris Guisson.
Committed on 13/07/2011 at 10:39.
Pushed by guisson into branch '4.1'.

Backport to 4.1: Fix crash when shutdown_rules files becomes corrupted

CCBUG: 277602

M  +1    -0    ChangeLog     
M  +3    -0    plugins/shutdown/shutdownruleset.cpp     

http://commits.kde.org/ktorrent/ad6cb38098845e668a213953a553cfdff5c6ee08